Skip to main content
GET
Retrieve a session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
session_id
string<uuid>
required

Session identifier.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$

Response

Session details retrieved successfully.

id
string<uuid>
required

Session identifier.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$
user_name
string
required

User account for the session.

session_type
enum<string>
required

Session type.

Available options:
vdi_desktop,
application,
sdi_desktop,
device
windows_session_id
integer
required

Windows session identifier.

connection_state
enum<string>
required

State of session connection.

Available options:
unknown,
connected,
disconnected,
terminated,
preparing_session,
active,
reconnecting,
non_broker_session,
other,
pending
start_date
string
required

Session start timestamp.

connected
boolean
required

Indicates if the session is currently connected.

current_session_id
integer
required

Current connection session identifier.

current_dc_name
string
required

Current data center name.

last_connection_time
string
required

Timestamp string of the last connection.

log_on_duration
number
required

Session's login duration.

session_key
string<uuid>
required

Session key.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$
flexx_analyzer_executed
boolean
required

Indicates if the analyzer execution is completed.

session_status
enum<string> | null

Session status.

Available options:
empty,
active_notifications,
active_notifications_ack_accepted,
active_notifications_ack_pending
platform_type
enum<string>

Platform type.

Available options:
windows,
mac,
linux,
android,
chrome_os,
unknown
cpu_usage
number | null

Current CPU usage.

ram_usage_gb
number | null

Current RAM usage in gigabytes.

rtt_usage
number | null

Current RTT usage.

current_uid_usage
number | null

Current UID usage.

ram_usage
number | null

Current RAM usage.

ram_percentage
number | null

Current RAM usage percentage.

number_alerts_user
number | null

Number of user alerts.

number_alerts_vm
number | null

Number of Workspace alerts.

workspace_id
string | null

MongoDB identifier (_id) of the Workspace related to the session, resolved from the session relationship.

Required string length: 24
Pattern: ^[0-9a-f]{24}$